#!/usr/bin/env bash

# Copy over various configuration files
echo Copying configuration files ...
rsync ~/.config/sway/config .config/sway/config
rsync ~/.config/alacritty/alacritty.yml .config/alacritty/alacritty.yml
rsync ~/.bashrc .bashrc
rsync ~/.gitconfig .gitconfig
rsync ~/.config/sublime-text-3/Packages/User/Preferences.sublime-settings \
	.config/sublime-text-3/Packages/User/Preferences.sublime-settings
# rsync ~/.config/JetBrains/CLion2020.3/options .config/JetBrains/CLion2020.3

# Copy over boot information
echo Grabbing efibootmgr information
sudo efibootmgr -v > efibootmgr_vars

# Copy over drive information
echo Grabbing disk layout information
lsblk > lsblk_output
echo -e "\n\n" >> lsblk_output
lsblk -f >> lsblk_output

# State of packages
echo Grabbing all explicitly installed packages
yay -Qet > yay_output

# What env is, mostly for path
echo Grabbing env
env | grep -v '.sock' | grep -v '.log' | grep -v 'SHLVL' > env_output

# Nice little mark
echo Grabbing a neofetch cause why not?
neofetch | grep -v 'Uptime' | grep -v 'Memory' > neofetch_output
